Package org.springframework.security.config.http

# Class CsrfBeanDefinitionParser

java.lang.Object
org.springframework.security.config.http.CsrfBeanDefinitionParser

All Implemented Interfaces:
  `org.springframework.beans.factory.xml.BeanDefinitionParser`

public class CsrfBeanDefinitionParser extends Object implements org.springframework.beans.factory.xml.BeanDefinitionParser
Parser for the `CsrfFilter`.

Since:
  3.2

## Constructor Summary

Constructors
Constructor
Description
`CsrfBeanDefinitionParser()`

## Method Summary

Modifier and Type
Method
Description
`org.springframework.beans.factory.config.BeanDefinition`
`parse(Element element, org.springframework.beans.factory.xml.ParserContext pc)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CsrfBeanDefinitionParser

public CsrfBeanDefinitionParser()

## Method Details

### parse

public org.springframework.beans.factory.config.BeanDefinition parse(Element element, org.springframework.beans.factory.xml.ParserContext pc)

Specified by:
  `parse` in interface `org.springframework.beans.factory.xml.BeanDefinitionParser`